Run initSiteStats.php for large.dblist wikis
Closed, ResolvedPublic

Description

Due to the bug described in https://gerrit.wikimedia.org/r/c/411400/, all pages that were created between the rollout of wmf.21 (group 0 on 2018-02-13) and the evening swat where the fix was deployed today (2018-02-20) weren't counted as new pages for Special:Statistics. We should run initSiteStats.php for all wikis to correct all those numbers. We might see other bumps in statistics due to other (fixed, unresolved or yet unreported) bugs when doing that.

The list:

  • arwiki
  • cawiki
  • cebwiki
  • commonswiki
  • cswiki
  • dewiki
  • enwiki
  • enwikinews
  • enwikisource
  • enwiktionary
  • eswiki
  • fawiki
  • fiwiki
  • frwiki
  • frwikisource
  • frwiktionary
  • huwiki
  • idwiki
  • incubatorwiki
  • itwiki
  • jawiki
  • kowiki
  • metawiki
  • mgwiktionary
  • nlwiki
  • nowiki
  • plwiki
  • ptwiki
  • rowiki
  • ruwiki
  • ruwiktionary
  • shwiki
  • srwiki
  • svwiki
  • trwiki
  • ukwiki
  • viwiki
  • warwiki
  • wikidatawiki
  • zhwiki
  • zhwiktionary
EddieGP created this task.Feb 21 2018, 12:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2018, 12:51 AM
EddieGP triaged this task as High priority.Feb 21 2018, 12:51 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptFeb 21 2018, 12:54 AM

Mentioned in SAL (#wikimedia-operations) [2018-02-21T02:01:50Z] <no_justification> running initSiteStats.php --update for all wikis in small.dblist. T187845

EddieGP renamed this task from Run initSiteStats.php for all wikis to Run initSiteStats.php for medium/large.dblist.Feb 21 2018, 2:06 AM

Mentioned in SAL (#wikimedia-operations) [2018-02-21T02:15:56Z] <no_justification> running initSiteStats.php --update for all wikis in medium.dblist. T187845

demon renamed this task from Run initSiteStats.php for medium/large.dblist to Run initSiteStats.php for large.dblist wikis.Feb 21 2018, 2:55 AM
demon added a subscriber: demon.

So this has been done for all wikis in small and medium dblists. large.dblist is left, but needs to be done slowly and 1-by-1 to make sure our long-running selects don't explode too hard.

demon updated the task description. (Show Details)Feb 21 2018, 2:59 AM
Restricted Application added subscribers: jeblad, Cosine02, Base, revi. · View Herald TranscriptFeb 21 2018, 2:59 AM
EddieGP added a subscriber: Dcljr.Feb 21 2018, 3:19 AM

@Dcljr I've noticed your interest on these statistics in other tasks and just wanted to give you a quick head-up that we just refreshed all the statistics for most of the wikis (the list in the task description tracks the remainder that are still to be done).

demon updated the task description. (Show Details)Feb 21 2018, 4:49 PM
demon updated the task description. (Show Details)Feb 21 2018, 4:56 PM

wikidatawiki, commonswiki and 'pedias are all that's left now.

@Dcljr I've noticed your interest on these statistics in other tasks and just wanted to give you a quick head-up that we just refreshed all the statistics for most of the wikis (the list in the task description tracks the remainder that are still to be done).

Thanks. For future reference, I'm watching Wikimedia-Language-setup, Wikimedia-maintenance-script-run, Wikimedia-Site-requests, and (as of today) MediaWiki-Maintenance-scripts, so no need to notify me about activity in any of those projects,

More generally, thanks for the checklist above. It will be nice to know when everything is completely done. (I never know how long it takes to recount stats, since it's only the starting time of any script run that gets documented in tasks.)

Dcljr added a comment.Feb 24 2018, 5:29 AM

@EddieGP @demon Who will be running the script on the remaining wikis? Is there a planned schedule for this? Any ideas when this task might be completed? Just curious...

demon added a comment.Feb 25 2018, 7:20 PM

I will be running it. I had planned to get to it last week but other stuff came up.

demon updated the task description. (Show Details)Feb 25 2018, 7:34 PM
demon updated the task description. (Show Details)Feb 25 2018, 7:56 PM
demon updated the task description. (Show Details)Feb 25 2018, 8:19 PM
demon updated the task description. (Show Details)Feb 25 2018, 8:22 PM
demon updated the task description. (Show Details)Feb 25 2018, 8:34 PM
demon updated the task description. (Show Details)Feb 25 2018, 8:55 PM
demon updated the task description. (Show Details)Feb 25 2018, 9:14 PM
demon updated the task description. (Show Details)Feb 25 2018, 9:25 PM
demon updated the task description. (Show Details)Feb 25 2018, 10:44 PM
demon updated the task description. (Show Details)Feb 25 2018, 11:15 PM
demon updated the task description. (Show Details)Feb 25 2018, 11:54 PM
demon updated the task description. (Show Details)Feb 26 2018, 12:58 AM
demon updated the task description. (Show Details)Feb 26 2018, 5:34 PM
demon updated the task description. (Show Details)Feb 26 2018, 6:11 PM
demon updated the task description. (Show Details)Feb 26 2018, 7:52 PM
demon updated the task description. (Show Details)Feb 26 2018, 8:01 PM
demon closed this task as Resolved.Feb 26 2018, 8:07 PM
demon updated the task description. (Show Details)
Liuxinyu970226 moved this task from Backlog to Closed on the Chinese-Sites board.
Dcljr added a comment.Feb 27 2018, 5:32 AM

Yea! All Wikimedia content wikis have been recounted from scratch for the first time ever!

I never thought I'd see the day.....